apiVersion: v1
kind: Service
metadata:
  name: {{ include "gitlab-apm.gateway.name" . }}
  labels:
    {{- include "gitlab-apm.labels" . | nindent 4 }}
spec:
  type: {{ .Values.gateway.service.type }}
  ports:
    - port: {{ .Values.gateway.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "gitlab-apm.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: gateway
